Upgrading from a Very Old Version

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Upgrading from a Very Old Version

Postby sailorbob » 18. September 2008 15:59

I joined a company running XAMPP for Linux 1.5.1 and need to upgrade live servers to the latest version for various reasons.

However looking at the upgrade packages and the instructions it looks like you can only upgrade from the most recent previous version...

Upgrade 1.6.6 to 1.6.7 20 MB Upgrade package.

Can this upgrade package be safely used to upgrade from an older version ( 1.5.1 in my case )?
sailorbob
 
Posts: 1
Joined: 18. September 2008 15:51

Postby Dave_L » 18. September 2008 21:18

I don't think you can do that.

You could upgrade in steps from 1.5.1 to 1.6.7, using the upgrade packages here: http://sourceforge.net/project/showfile ... e_id=60248

Or you could backup the 1.5.1 install, do a clean install of 1.6.7 and then copy over your data.

If you have MySQL databases, I would back them up first as text .sql files, using phpMyAdmin or mysqldump, since the MySQL version in 1.6.7 might not be binary-compatible with the one in 1.5.1. Then the databases can be imported into 1.6.7.
User avatar
Dave_L
 
Posts: 212
Joined: 23. October 2004 00:43


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests